Subject: Re: 2GB address space limit on 32-bit PowerPC Macintosh

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 17 May 2005 01:05:38 +1000

On Mon, 2005-05-16 at 11:04 -0400, Dan Malek wrote:
> On May 16, 2005, at 2:21 AM, Kumar Gala wrote:
> 
> >
> > On May 16, 2005, at 12:52 AM, Benjamin Herrenschmidt wrote:
> >> Agreed. I'll fix PReP/CHRP/pmac & defconfig. Every embedded board
> >>  vendor/maintainer will be responsible for fixing his/her boards 
> >> support.
> >
> > Agreed.  We should probably send an email to linuxppc-embedded with a 
> > more proper subject line to let people know.
> 
> There isn't any reason to break everything and force updates.  If 
> someone wants
> a 3G task size, then just configure that with the advanced options.   
> All of that
> grew out of the embedded board support, so just make PMac support it 
> too.
> In particular, I don't want to force the 8xx to a 3G task space, 
> because it adds
> more instructions to the TLB handlers, on a system that has never 
> required
> such application space.  We are 12 releases in 2.6, and it still seems 
> like
> a development kernel :-)  I think if someone wants this feature on a 
> board
> port that doesn't support it, then just fix that one board port instead 
> of breaking
> everything.

I suppose it would add about ... 1 instruction :) Which is probably
barely measurable compared to the cost of the cache misses of getting to
the page table entires...

But I agree that we don't abolutely _need_ to break everybody. Maybe a
better compromise would be to have the default beeing per CPU family ?
6xx/7xx/7xxx could default to 3G and 8xx stay at 2G...

Ben.